Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

I CAN'T USE MOD LOADER, HELP!


  • Please log in to reply
25 replies to this topic

#1

User
    User

    Nether Resident

  • Members
  • 2012 posts
  • Location: North of the South Pole and south of the North pole
  • Minecraft: TheDarkStar

Posted 24 November 2010 - 04:06 PM

I have a problem. All the awesome mods use Mod Loader, Risugami's or 303's, it doesn't matter. But when I try to use it, I can't use the mods. I've tried hundreds of times. I've deleted META-INF. I've added the loader and mod. NOTHING. Could someone PLEASE help?

offtopic: No, I am not a modding noob. 3/4 of my posts where in Mapping and Modding.

Register or log in to remove.

#2

TheEyes
    TheEyes

    Gold Miner

  • Members
  • 354 posts

Posted 24 November 2010 - 04:08 PM

...
You do realise that with every update, mods break, right?
And that outdated versions of mods won't work with 1.2.3_01?

#3

Nic
    Nic

    Gold Miner

  • Members
  • 434 posts
  • Location: Norway
  • Minecraft: nichiatu

Posted 24 November 2010 - 04:12 PM

User said:

I have a problem. All the awesome mods use Mod Loader, Risugami's or 303's, it doesn't matter. But when I try to use it, I can't use the mods. I've tried hundreds of times. I've deleted META-INF. I've added the loader and mod. NOTHING. Could someone PLEASE help?

offtopic: No, I am not a modding noob. 3/4 of my posts where in Mapping and Modding.

You wrote that you're not a modding noob. Well, even I know that with updates, modders has to code some of the .class files again, in order to make them work.

#4

Bavarious

Posted 24 November 2010 - 04:26 PM

User said:

I have a problem. All the awesome mods use Mod Loader, Risugami's or 303's, it doesn't matter. But when I try to use it, I can't use the mods. I've tried hundreds of times. I've deleted META-INF. I've added the loader and mod. NOTHING. Could someone PLEASE help?

offtopic: No, I am not a modding noob. 3/4 of my posts where in Mapping and Modding.

Then its just the matter of the creator updated the Mods. they are probably at 1.2.3_01 or whatever.
Posted Image

#5

X2F01
    X2F01

    Tree Puncher

  • Members
  • 39 posts

Posted 24 November 2010 - 04:30 PM

I'm curious, because I am a modding noob (I know how to install them at least, yay!) So forgive me if this is the most retarded question ever.

Do ALL of the mods break, or is it just most of them? Try not to  :VV: me too hard.

#6

kingbdogz
    kingbdogz

    Retired Staff

  • Retired Staff
  • 781 posts

Posted 24 November 2010 - 04:37 PM

X2F01 said:

I'm curious, because I am a modding noob (I know how to install them at least, yay!) So forgive me if this is the most retarded question ever.

Do ALL of the mods break, or is it just most of them? Try not to  :iapprove: me too hard.

All mods break with each update.
Posted Image

#7

DarkOmegaMK2

Posted 24 November 2010 - 05:05 PM

User said:

offtopic: No, I am not a modding noob. 3/4 of my posts where in Mapping and Modding.

somehow, i find that very hard to believe considering that most of people here knows that updates break every single mod.

and yes people ALL/EVERY/TOTAL/100% mods break with each update.
"There's no embarrassment in the search of truth!"
Posted Image

#8

Nic
    Nic

    Gold Miner

  • Members
  • 434 posts
  • Location: Norway
  • Minecraft: nichiatu

Posted 24 November 2010 - 05:11 PM

DarkOmegaMK2 said:

User said:

offtopic: No, I am not a modding noob. 3/4 of my posts where in Mapping and Modding.

somehow, i find that very hard to believe considering that most of people here knows that updates break every single mod.

and yes people ALL/EVERY/TOTAL/100% mods break with each update.

Does builds break the mods?

#9

Tei
    Tei

    Diamond Miner

  • Members
  • 700 posts

Posted 24 November 2010 - 07:31 PM

Mods break because use hardcoded names, and It just take a tiny change on the code so these hardcode names change, so the mods call stuff that don't exist anymore, ending on a blank screen.

The right thing is to wait for the original modder to make a update.  Some mods may work after a update (if the stuff that use is not modified) but the possibility of this is rare, so people don't have to expect it.

All mods are temporal creation between updates, until we have official mod support.

#10

KungFuHamster

Posted 24 November 2010 - 08:25 PM

Might help a tiny bit if people would post what client version (or server version) their mods work for.

Magic Broomstick Mod [Client 1.2.2]

And when someone goes to download it, they say to themselves, "Am I using client version 1.2.2?"

#11

Gott
    Gott

    Out of the Water

  • Members
  • 5 posts
  • Location: Germany

Posted 28 November 2010 - 08:12 PM

No not all Mods break!
Just (at least that's the way I experienced it) those working IN-Game (when you walk around and break stuff)

e.g. Rename Worlds <- won't break

#12

Audi4444player
  • Location: Adelaide, South Australia

Posted 01 December 2010 - 11:54 AM

TheEyes said:

...
You do realise that with every update, mods break, right?
And that outdated versions of mods won't work with 1.2.3_01?

i have only updated mods but where do i put the .class files because when i put them in mc.jar i just get the black screen but without them in there the mod loader itself doesn't cause the black screen can anyone tell me where they go or if they go in mc.jar why is it not working and no its not the metainf folder because everytime i copy stuff in it disappears, i should note that im using the hd fix will that affect? all i really want for now is this viewtopic.php?t=93010 the stairs one nvm i found that the hd fix wasnt updated

Best Looking Texture Pack - http://www.minecraft...oartex-102-b16/

Posted Image


#13

Rustywolf

Posted 01 December 2010 - 12:06 PM

kingbdogz said:

X2F01 said:

I'm curious, because I am a modding noob (I know how to install them at least, yay!) So forgive me if this is the most retarded question ever.

Do ALL of the mods break, or is it just most of them? Try not to  :P me too hard.

All mods break with each update.

Wrong.

The way i believe it works, is that everytime notch adds a new class file (namely, a new feature), the class names change, so it becomes invalid. Or if notch modifies that file, it may also break. Most of my mods survives 1.2.3_01 - 1.2.3_04. And Yes, it generally requires little effort to fix.

#14

RiverC
    RiverC

    Glowstone Miner

  • Members
  • 3516 posts
  • Location: Twilit City, Second Heaven

Posted 01 December 2010 - 12:09 PM

Well, the two most important things I've found are:
1. Assume mods will break with a new update
2. Before installing any mod, make sure its compatible with your version of MC.

Beyond that if you're clever you may be able to fix some issues by renaming classes in the mod before installing it, but don't count on it...
Orthogeeks - the right way to geek.
New podcasts somewhere around weekly! Most recent episode: Episode 2: Spellchecks to 'Scarface'.

#15

Holy cow164
  • Location: Cloudsdale

Posted 17 February 2011 - 12:17 PM

Ive had similar problems only my screen reads:

Minecraft has crashed!
----------------------

Minecraft has stopped running because it encountered a problem.

If you wish to report this, please copy this entire text and email it to [email protected].
Please include a description of what you did when the error occured.

Mods loaded: 1
ModLoader Beta 1.2_02v4

--- BEGIN ERROR REPORT 9e30d104 --------
Generated 2/16/11 5:40 PM

Minecraft: Minecraft Beta 1.2_02
OS: Windows 7 (x86) version 6.1
Java: 1.6.0_20, Sun Microsystems Inc.
VM: Java HotSpot™ Client VM (mixed mode), Sun Microsystems Inc.
LWJGL: 2.4.2
OpenGL: Mobile Intel® 4 Series Express Chipset Family version 2.1.0 - Build 8.15.10.2202, Intel

java.lang.NullPointerException
at gm.(SourceFile:41)
at mod_MineColony.(mod_MineColony.java:26)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at java.lang.Class.newInstance0(Unknown Source)
at java.lang.Class.newInstance(Unknown Source)
at ModLoader.addMod(ModLoader.java:157)
at ModLoader.readFromClassPath(ModLoader.java:662)
at ModLoader.init(ModLoader.java:527)
at ModLoader.AddAllRecipes(ModLoader.java:66)
at fg.(fg.java:25)
at fg.(fg.java:9)
at BlockHutLumberjack.(BlockHutLumberjack.java:23)
at mod_MineColony.(mod_MineColony.java:18)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at java.lang.Class.newInstance0(Unknown Source)
at java.lang.Class.newInstance(Unknown Source)
at ModLoader.addMod(ModLoader.java:157)
at ModLoader.readFromClassPath(ModLoader.java:662)
at ModLoader.init(ModLoader.java:527)
at ModLoader.AddAllRenderers(ModLoader.java:81)
at oc.(oc.java:55)
at oc.(oc.java:8)
at net.minecraft.client.Minecraft.a(SourceFile:253)
at net.minecraft.client.Minecraft.run(SourceFile:606)
at java.lang.Thread.run(Unknown Source)
--- END ERROR REPORT cc37268e ----------

PS. I use TFC's mod manager.

View PostStratMaster007, on 07 September 2012 - 05:59 PM, said:

I love how all of us are like "GIVE US MAGIC WIZARDRY MAGIC SORCERY MAGIC ARCANE MAGIC MAGIC" and Jeb is just like "have some potatoes!"

#16

spikeof2010
    spikeof2010

    Lapis Lazuli Collector

  • Members
  • 1122 posts
  • Location: Level 105
  • Minecraft: spikeof2010

Posted 17 February 2011 - 12:21 PM

DarkOmegaMK2 said:

User said:

offtopic: No, I am not a modding noob. 3/4 of my posts where in Mapping and Modding.

somehow, i find that very hard to believe considering that most of people here knows that updates break every single mod.

and yes people ALL/EVERY/TOTAL/100% mods break with each update.
That statement is only partly true, All/every mod gets removed from your game, you have to reinstall the updated mod, but sometimes, if it's a bugfix, it should work fine, that's what happened with me with WorldsOmega when it was for 1.2 and I got it when Minecraft was version 1.2_02
Posted Image

Creeperzcreep said:

this is like telling 5 year old santa's not real

#17

Sushi
    Sushi

    Tree Puncher

  • Members
  • 15 posts

Posted 06 April 2011 - 09:46 PM

Hi

Yes, I am modding newbie.

but.

I followed all the instructions here to install Risugami's Mod Loader, which is up to date (1.4_01), afterall. So: used (the newest version of) 7-zip to get into %appdata%/.minecraft/bin/minecraft.jar file, as well as into ModLoader.zip file. Then copied all the content from ModLoader.zip to minecraft.jar. Stage 1 done.

Then tried to install this (up to date as well) industrial mod. So downloaded, opened zip file with 7-zip, copied all of it into minecraft.jar. Stage 2 done.

Then deleted this META-INF folder. Done.


Running minecraft... Main menu. I click "Mods and texturepacks" - nothing in there. Well. Maybe it shouldn't be anything. I start playing game. Got to crafting table, tried new recipes... which appear not to work... :/

What am I doing wrong?

#18

13Priest
    13Priest

    Out of the Water

  • Members
  • 8 posts

Posted 10 April 2011 - 11:35 PM

I Installed modloader like the instructions said and when I start minecraft its just a blank black screen after login.

#19

xY0UNGTAL3NTx

Posted 23 April 2011 - 07:48 AM

13Priest said:

I Installed modloader like the instructions said and when I start minecraft its just a blank black screen after login.
the same happens to me and idk what to do from there. I install Modloader fine and mincraft still works but when i install the actual mod it just goes black and i have to re download minecraft.

#20

crow5derlock
  • Minecraft: crow5derlock

Posted 14 May 2011 - 02:45 PM

i have the same problem, all i want is the jar file with the mods already in the file to download, and ive already settled a problem, i have boought minecraft my proof is sited on this topic viewtopic.php?f=1033&t=348730&p=4810801#p4810801 if its not enough proof thensend me a server ip ill get on talk a bit and prove i have bought the game
Posted Image